import os
import sys


sys.path.append(os.getcwd())

MANO_LEFT_BONE_ORDER_NAMES = [
    'L_Wrist', 'L_Index1', 'L_Index2', 'L_Index3', 'L_Middle1', 'L_Middle2', 'L_Middle3', 'L_Pinky1', 'L_Pinky2', 'L_Pinky3', 'L_Ring1', 'L_Ring2', 'L_Ring3', 'L_Thumb1', 'L_Thumb2', 'L_Thumb3',
]

MANO_RIGHT_BONE_ORDER_NAMES =[
    'R_Wrist', 'R_Index1', 'R_Index2', 'R_Index3', 'R_Middle1', 'R_Middle2', 'R_Middle3', 'R_Pinky1', 'R_Pinky2', 'R_Pinky3', 'R_Ring1', 'R_Ring2', 'R_Ring3', 'R_Thumb1', 'R_Thumb2', 'R_Thumb3'
]

SMPL_BONE_ORDER_NAMES = [
    "Pelvis",
    "L_Hip",
    "R_Hip",
    "Torso",
    "L_Knee",
    "R_Knee",
    "Spine",
    "L_Ankle",
    "R_Ankle",
    "Chest",
    "L_Toe",
    "R_Toe",
    "Neck",
    "L_Thorax",
    "R_Thorax",
    "Head",
    "L_Shoulder",
    "R_Shoulder",
    "L_Elbow",
    "R_Elbow",
    "L_Wrist",
    "R_Wrist",
    "L_Hand",
    "R_Hand",
]

SMPLH_BONE_ORDER_NAMES = [
    "Pelvis",
    "L_Hip",
    "R_Hip",
    "Torso",
    "L_Knee",
    "R_Knee",
    "Spine",
    "L_Ankle",
    "R_Ankle",
    "Chest",
    "L_Toe",
    "R_Toe",
    "Neck",
    "L_Thorax",
    "R_Thorax",
    "Head",
    "L_Shoulder",
    "R_Shoulder",
    "L_Elbow",
    "R_Elbow",
    "L_Wrist",
    "R_Wrist",
    "L_Index1",
    "L_Index2",
    "L_Index3",
    "L_Middle1",
    "L_Middle2",
    "L_Middle3",
    "L_Pinky1",
    "L_Pinky2",
    "L_Pinky3",
    "L_Ring1",
    "L_Ring2",
    "L_Ring3",
    "L_Thumb1",
    "L_Thumb2",
    "L_Thumb3",
    "R_Index1",
    "R_Index2",
    "R_Index3",
    "R_Middle1",
    "R_Middle2",
    "R_Middle3",
    "R_Pinky1",
    "R_Pinky2",
    "R_Pinky3",
    "R_Ring1",
    "R_Ring2",
    "R_Ring3",
    "R_Thumb1",
    "R_Thumb2",
    "R_Thumb3",
]


AMASS_LOCOMOTION_DATASETS = [
    'KIT/3/walking_slow08_poses', 'KIT/167/walking_run02_poses', 'KIT/4/WalkInClockwiseCircle05_poses',
    'ACCAD/ACCAD/Male2Running_c3d/C24 - quick sidestep left_poses', 'KIT/12/WalkInClockwiseCircle11_poses',
    'KIT/12/WalkingStraightForwards03_poses', 'EyesJapanDataset/Eyes_Japan_Dataset/aita/walk-21-one leg-aita_poses',
    'KIT/359/walking_slow09_poses', 'KIT/314/walking_medium07_poses', 'KIT/6/WalkInClockwiseCircle05_1_poses',
    'KIT/183/walking_fast05_poses', 'KIT/3/walk_6m_straight_line04_poses', 'BMLrub/BioMotionLab_NTroje/rub104/0027_circle_walk_poses',
    'KIT/359/walking_fast10_poses', 'ACCAD/ACCAD/Male1Walking_c3d/Walk B15 - Walk turn around_poses',
    'KIT/183/walking_medium04_poses', 'KIT/9/run01_poses', 'KIT/314/walking_fast06_poses',
    'KIT/10/WalkInClockwiseCircle10_poses', 'BMLrub/BioMotionLab_NTroje/rub077/0027_circle_walk_poses',
    'KIT/4/WalkInCounterClockwiseCircle02_poses', 'KIT/3/walking_medium07_poses', 'KIT/9/walking_medium02_poses',
    'KIT/8/WalkInCounterClockwiseCircle10_poses', 'ACCAD/ACCAD/Male2Running_c3d/C17 - run change direction_poses',
    'KIT/425/walking_fast01_poses', 'ACCAD/ACCAD/Male2Walking_c3d/B15 -  Walk turn around_poses',
    'KIT/3/walking_run03_poses', 'KIT/10/WalkInCounterClockwiseCircle05_poses', 'KIT/4/WalkInClockwiseCircle02_poses',
    'KIT/425/walking_fast05_poses', 'KIT/183/walking_fast03_poses', 'ACCAD/ACCAD/Male2Running_c3d/C20 - run to pickup box_poses',
    'KIT/183/run04_poses', 'ACCAD/ACCAD/Male2Walking_c3d/B17 -  Walk to hop to walk a_poses',
    'KIT/425/walking_fast04_poses', 'BMLrub/BioMotionLab_NTroje/rub001/0017_circle_walk_poses',
    'KIT/12/WalkInClockwiseCircle09_poses', 'EyesJapanDataset/Eyes_Japan_Dataset/hamada/walk-06-catwalk-hamada_poses',
    'KIT/314/run02_poses', 'ACCAD/ACCAD/Male2Walking_c3d/B18 -  Walk to leap to walk_poses',
    'KIT/4/WalkInCounterClockwiseCircle07_poses', 'KIT/183/walking_run06_poses', 'KIT/9/WalkInCounterClockwiseCircle05_poses',
    'KIT/7/WalkingStraightForwards04_poses', 'EyesJapanDataset/Eyes_Japan_Dataset/shiono/walk-09-handbag-shiono_poses',
    'KIT/317/walking_medium09_poses', 'KIT/424/run05_poses', 'KIT/167/walking_medium04_poses',
    'KIT/3/walking_medium08_poses', 'KIT/314/walking_medium02_poses', 'KIT/348/walking_medium07_poses',
    'TotalCapture/TotalCapture/s4/walking2_poses', 'KIT/205/walking_medium04_poses', 'KIT/9/run05_poses',
    'ACCAD/ACCAD/Female1Walking_c3d/B15 - walk turn around (same direction)_poses',
    'KIT/6/WalkInCounterClockwiseCircle10_1_poses', 'KIT/167/walking_run06_poses', 'ACCAD/ACCAD/Male2Running_c3d/C3 - run_poses',
    'KIT/7/WalkInCounterClockwiseCircle09_poses', 'BMLrub/BioMotionLab_NTroje/rub020/0027_circle_walk_poses',
    'BMLrub/BioMotionLab_NTroje/rub027/0027_circle_walk_poses', 'KIT/205/walking_medium10_poses',
    'KIT/359/walking_slow02_poses', 'EyesJapanDataset/Eyes_Japan_Dataset/kaiwa/walk-27-thinking-kaiwa_poses',
    'KIT/12/WalkInCounterClockwiseCircle01_poses', 'ACCAD/ACCAD/Male2Walking_c3d/B18 -  Walk to leap to walk t2_poses',
    'KIT/9/walking_slow07_poses', 'KIT/9/WalkingStraightForwards01_poses', 'KIT/425/walking_medium08_poses',
    'KIT/9/WalkInClockwiseCircle04_poses', 'BMLrub/BioMotionLab_NTroje/rub076/0027_circle_walk_poses',
    'KIT/314/walking_slow05_poses', 'KIT/6/WalkInCounterClockwiseCircle01_1_poses', 'KIT/314/run04_poses',
    'KIT/11/WalkInCounterClockwiseCircle07_poses', 'EyesJapanDataset/Eyes_Japan_Dataset/frederic/walk-04-fast-frederic_poses',
    'KIT/10/WalkInCounterClockwiseCircle03_poses', 'KIT/424/walking_run01_poses', 'KIT/3/walking_medium01_poses',
    'KIT/425/walking_medium01_poses', 'KIT/348/run03_poses', 'EyesJapanDataset/Eyes_Japan_Dataset/shiono/walk-10-shoulder bag-shiono_poses',
    'KIT/7/WalkingStraightForwards09_poses', 'KIT/9/walking_slow05_poses', 'ACCAD/ACCAD/Male2Running_c3d/C11 - run turn left 90_poses',
    'KIT/317/walking_fast08_poses', 'KIT/8/WalkInClockwiseCircle06_poses', 'KIT/167/walking_slow04_poses',
    'KIT/183/walking_fast04_poses', 'KIT/348/walking_medium08_poses', 'KIT/348/walking_slow04_poses',
    'KIT/11/WalkingStraightForwards09_poses', 'KIT/11/WalkInCounterClockwiseCircle04_poses',
    'KIT/7/WalkingStraightForwards06_poses', 'KIT/9/WalkInCounterClockwiseCircle02_poses', 'KIT/183/walking_run08_poses',
    'KIT/424/walking_run02_poses', 'KIT/425/walking_slow10_poses', 'KIT/9/walking_run09_poses', 'KIT/348/walking_fast07_poses',
    'BMLrub/BioMotionLab_NTroje/rub041/0027_circle_walk_poses', 'KIT/9/WalkInClockwiseCircle10_poses',
    'KIT/9/walking_run02_poses', 'KIT/348/walking_run10_poses', 'KIT/314/walking_medium03_poses', 'KIT/425/walking_slow04_poses',
    'KIT/11/WalkInClockwiseCircle09_poses', 'ACCAD/ACCAD/MartialArtsWalksTurns_c3d/E19 - dodge left_poses',
    'KIT/359/walking_fast06_poses', 'BMLrub/BioMotionLab_NTroje/rub092/0023_circle_walk_poses',
    'KIT/317/walking_medium07_poses', 'KIT/348/walking_fast04_poses', 'BMLrub/BioMotionLab_NTroje/rub029/0027_circle_walk_poses',
    'KIT/425/walking_medium02_poses', 'KIT/205/walking_slow02_poses', 'BMLrub/BioMotionLab_NTroje/rub084/0027_circle_walk_poses',
    'KIT/183/walking_fast10_poses', 'KIT/317/run03_poses', 'ACCAD/ACCAD/Male2Walking_c3d/B21 -  put down box to walk_poses',
    'KIT/675/walk_with_handrail_beam_right07_poses', 'KIT/359/walking_fast02_poses', 'KIT/8/WalkInCounterClockwiseCircle02_poses',
    'ACCAD/ACCAD/Male2Running_c3d/C15 - run turn right 45_poses', 'BMLrub/BioMotionLab_NTroje/rub021/0027_circle_walk_poses',
    'ACCAD/ACCAD/Male1Walking_c3d/Walk B16 - Walk turn change_poses', 'ACCAD/ACCAD/Male1Running_c3d/Run C24 - quick side step left_poses',
    'KIT/183/run01_poses', 'KIT/424/run02_poses', 'KIT/317/walking_run03_poses', 'KIT/205/walking_run09_poses',
    'KIT/425/walking_medium07_poses', 'BMLrub/BioMotionLab_NTroje/rub085/0027_circle_walk_poses', 'KIT/425/walking_medium09_poses',
    'KIT/317/walking_medium06_poses', 'KIT/3/walking_fast10_poses', 'KIT/167/walking_slow03_poses',
    'KIT/11/WalkingStraightForwards03_poses', 'KIT/314/walking_run10_poses', 'KIT/3/walking_medium05_poses',
    'KIT/8/WalkingStraightForwards04_poses', 'KIT/359/walking_medium06_poses', 'BMLrub/BioMotionLab_NTroje/rub054/0027_circle_walk_poses',
    'KIT/359/walking_slow07_poses', 'KIT/4/WalkingStraightForward01_poses', 'ACCAD/ACCAD/Male1Walking_c3d/Walk B10 - Walk turn left 45_poses',
    'BMLrub/BioMotionLab_NTroje/rub073/0027_circle_walk_poses', 'KIT/9/walking_medium05_poses', 'KIT/9/walking_slow08_poses',
    'KIT/348/run04_poses', 'KIT/359/walking_slow10_poses', 'KIT/424/walking_fast03_poses', 'KIT/183/walking_fast07_poses',
    'KIT/9/run03_poses', 'BMLrub/BioMotionLab_NTroje/rub038/0027_circle_walk_poses', 'KIT/3/walking_medium09_poses',
    'KIT/167/walking_slow08_poses', 'BMLrub/BioMotionLab_NTroje/rub017/0027_circle_walk_poses', 'KIT/314/walking_run03_poses',
    'KIT/317/walking_run08_poses', 'BMLrub/BioMotionLab_NTroje/rub047/0027_circle_walk_poses', 'KIT/8/WalkInCounterClockwiseCircle01_poses',
    'KIT/359/walking_slow06_poses', 'EyesJapanDataset/Eyes_Japan_Dataset/hamada/walk-22-look around-hamada_poses',
    'KIT/9/walking_slow10_poses', 'KIT/12/WalkInCounterClockwiseCircle08_poses', 'KIT/3/walking_slow05_poses',
    'KIT/425/walking_fast02_poses', 'KIT/8/WalkingStraightForwards10_poses', 'KIT/183/walking_fast08_poses',
    'KIT/9/WalkInCounterClockwiseCircle08_poses', 'KIT/9/WalkInClockwiseCircle08_poses', 'KIT/424/walking_slow01_poses',
    'KIT/11/WalkInCounterClockwiseCircle01_poses', 'KIT/424/walking_fast05_poses', 'KIT/314/walking_medium06_poses',
    'KIT/317/walking_slow03_poses', 'ACCAD/ACCAD/Female1Walking_c3d/B2 - walk to stand_poses',
    'KIT/9/WalkingStraightForwards03_poses', 'KIT/9/WalkInCounterClockwiseCircle01_poses', 'KIT/425/walking_medium06_poses',
    'KIT/425/walking_03_poses', 'KIT/9/walking_run07_poses', 'KIT/424/walking_medium07_poses', 'KIT/348/walking_fast08_poses',
    'KIT/317/run02_poses', 'KIT/424/walking_slow02_poses', 'KIT/183/run02_poses', 'KIT/6/WalkInClockwiseCircle01_1_poses',
    'KIT/8/WalkInCounterClockwiseCircle03_poses', 'BMLrub/BioMotionLab_NTroje/rub098/0027_circle_walk_poses',
    'KIT/424/walking_run09_poses', 'TotalCapture/TotalCapture/s1/walking1_poses', 'KIT/9/walking_slow03_poses',
    'KIT/3/walking_fast08_poses', 'BMLrub/BioMotionLab_NTroje/rub062/0027_circle_walk_poses',
    'BMLrub/BioMotionLab_NTroje/rub064/0027_circle_walk_poses', 'KIT/183/walking_slow04_poses', 'KIT/359/walking_medium04_poses',
    'TotalCapture/TotalCapture/s3/walking1_poses', 'KIT/425/walking_slow02_poses', 'KIT/348/run01_poses',
    'KIT/8/WalkInCounterClockwiseCircle07_poses', 'KIT/317/walking_medium08_poses', 'KIT/314/walking_fast04_poses',
    'KIT/4/WalkInCounterClockwiseCircle03_poses', 'KIT/9/walking_run08_poses', 'ACCAD/ACCAD/Female1Running_c3d/C4 - Run to walk1_poses',
    'KIT/317/walking_medium04_poses', 'ACCAD/ACCAD/Male2Walking_c3d/B23 -  side step right_poses',
    'KIT/348/walking_medium02_poses', 'KIT/8/WalkInClockwiseCircle08_poses', 'KIT/348/walking_medium03_poses',
    'BMLrub/BioMotionLab_NTroje/rub060/0028_circle_walk2_poses', 'KIT/167/walking_medium07_poses',
    'KIT/348/walking_medium10_poses', 'KIT/8/WalkInCounterClockwiseCircle05_poses', 'KIT/4/WalkInCounterClockwiseCircle08_poses',
    'KIT/424/walking_slow06_poses', 'KIT/424/run04_poses', 'KIT/6/WalkInCounterClockwiseCircle06_1_poses',
    'KIT/348/walking_run05_poses', 'KIT/3/walking_slow06_poses', 'KIT/7/WalkingStraightForwards08_poses',
    'BMLrub/BioMotionLab_NTroje/rub042/0027_circle_walk_poses', 'KIT/359/walking_medium05_poses',
    'KIT/12/WalkingStraightForwards09_1_poses', 'KIT/317/walking_fast09_poses', 'KIT/11/WalkingStraightForwards02_poses',
    'BMLrub/BioMotionLab_NTroje/rub018/0027_circle_walk_poses', 'KIT/205/walking_medium01_poses',
    'KIT/6/WalkInClockwiseCircle04_1_poses', 'KIT/424/walking_fast04_poses', 'EyesJapanDataset/Eyes_Japan_Dataset/aita/walk-04-fast-aita_poses',
    'ACCAD/ACCAD/Female1Running_c3d/C5 - walk to run_poses', 'KIT/359/walking_run05_poses', 'KIT/183/walking_run04_poses',
    'KIT/9/WalkingStraightForwards04_poses', 'KIT/183/walking_run05_poses', 'KIT/10/WalkInCounterClockwiseCircle10_poses',
    'ACCAD/ACCAD/Female1Running_c3d/C25 -  side step right_poses'
]
